function [MargGam]=marginale(GammaD, PostGamD, p)

%marginale: marginal probabilities of single variables
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%INPUTS:
% GammaD,	matrix or cell - distinct visited models
% PostGamD,     normalized posterior probs of visited vectors
% p,		number of variables
%			
%OUTPUTS:	
% MargGam,	marginal probabilities
%
%USAGE:
% [MargGam]=marginale(GammaD,PostGamD)
%
%Copyright (c) 1997-2003 Marina Vannucci.
%**********************************************************************

MargGam=zeros(1,p);
switch class(GammaD)
	case 'cell'
		for i=1:length(GammaD)
			numeri=str2num(GammaD{i});
			if ~isempty(numeri)
				MargGam(numeri)=MargGam(numeri)+ ...
				PostGamD(i)*ones(1,length(numeri));
			else
			end
		end
	otherwise
		for i=1:size(GammaD,1)
			numeri=find(GammaD(i,:));
			if ~isempty(numeri)
				MargGam(numeri)=MargGam(numeri)+ ...
				PostGamD(i)*ones(1,length(numeri));
			else
			end	
		end
end
	
